Bug 18671 - syslogd accepts arbitrary timestamps on messages
syslogd accepts arbitrary timestamps on messages
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-08 23:33 EDT by Tim
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-30 17:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim 2000-10-08 23:33:47 EDT
syslogd accepts arbitrary timestamps on messages read from /dev/log. If 
the message matches the pattern "??? ?? ??:??:?? " then it will be treated 
as a timestamp. syslogd should always prefix the message with the local 
machine's timestamp, and for backwards compatability, remove anything that 
looks like a timestamp from the start of the message to avoid the 
timestamp appearing twice. This is similar to bug id 10222.
Comment 1 Jason Vas Dias 2004-08-30 17:35:44 EDT
Just clearing out old bugs here. This one was fixed ages ago!
Current version of sysklogd is 1.41-22 .

Note You need to log in before you can comment on or make changes to this bug.